TrackingOptions (JProfiler API)
Date: 2012-06-30

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jprofiler.api.agent
Class TrackingOptions

    java.lang.Object
      com.jprofiler.api.agent.TrackingOptions

    public class TrackingOptions

extends java.lang.Object

Request tracking options for calling `Controller.startCPURecording(boolean, TrackingOptions)`} and `Controller.startAllocRecording(boolean, TrackingOptions)`. Please see the help topic on request tracking for more information. After constructing an instance of this class, all request tracking options are set to `false`.

Field Summary
`static TrackingOptions` | `AWT` Only track AWT, same as `new TrackingOptions().awt(true)`.
`static TrackingOptions` | `EXECUTORS` Only track executors, same as `new TrackingOptions().executors(true)`.
`static TrackingOptions` | `NONE` The default value used by `Controller.startCPURecording(boolean)` and `Controller.startAllocRecording(boolean, TrackingOptions)`
`static TrackingOptions` | `SWT` Only track SWT, same as `new TrackingOptions().swt(true)`.
`static TrackingOptions` | `THREAD_START` Only track thread start, same as `new TrackingOptions().threadStart(true)`.

Constructor Summary
`TrackingOptions()` Create a new instance with no tracking types enabled.

Method Summary
`TrackingOptions` | `awt(boolean awt)` Determines if AWT should be tracked.
`TrackingOptions` | `executors(boolean executors)` Determines if executors should be tracked.
`TrackingOptions` | `freeze()` Make these tracking options unmodifiable.
`boolean` | `isAwt()` Returns if AWT is tracked.
`boolean` | `isExecutors()` Returns if executors are tracked.
`boolean` | `isSwt()` Returns if SWT is tracked.
`boolean` | `isThreadStart()` Returns if thread start is tracked.
`TrackingOptions` | `swt(boolean swt)` Determines if SWT should be tracked.
`TrackingOptions` | `threadStart(boolean threadStart)` Determines if thread start should be tracked.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final TrackingOptions NONE

  The default value used by `Controller.startCPURecording(boolean)` and `Controller.startAllocRecording(boolean, TrackingOptions)`

### THREAD_START

    public static final TrackingOptions THREAD_START

  Only track thread start, same as `new TrackingOptions().threadStart(true)`.

### EXECUTORS

    public static final TrackingOptions EXECUTORS

  Only track executors, same as `new TrackingOptions().executors(true)`.

### AWT

    public static final TrackingOptions AWT

  Only track AWT, same as `new TrackingOptions().awt(true)`.

### SWT

    public static final TrackingOptions SWT

  Only track SWT, same as `new TrackingOptions().swt(true)`.

Constructor Detail

### TrackingOptions

    public TrackingOptions()

  Create a new instance with no tracking types enabled.

Method Detail

### threadStart

    public TrackingOptions threadStart(boolean threadStart)

  Determines if thread start should be tracked.

  Parameters:
    `threadStart` - the new value
  Returns:
    this instance

### executors

    public TrackingOptions executors(boolean executors)

  Determines if executors should be tracked.

  Parameters:
    `executors` - the new value
  Returns:
    this instance

### awt

    public TrackingOptions awt(boolean awt)

  Determines if AWT should be tracked.

  Parameters:
    `awt` - the new value
  Returns:
    this instance

### swt

    public TrackingOptions swt(boolean swt)

  Determines if SWT should be tracked.

  Parameters:
    `swt` - the new value
  Returns:
    this instance

### isThreadStart

    public boolean isThreadStart()

  Returns if thread start is tracked.

  Returns:
    the value

### isExecutors

    public boolean isExecutors()

  Returns if executors are tracked.

  Returns:
    the value

### isAwt

    public boolean isAwt()

  Returns if AWT is tracked.

  Returns:
    the value

### isSwt

    public boolean isSwt()

  Returns if SWT is tracked.

  Returns:
    the value

### freeze

    public TrackingOptions freeze()

  Make these tracking options unmodifiable. Further modification attempts will result in a `UnsupportedOperationException`.

  Returns:
    this instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD